Bug 1024555 - Filtered Statistic is not updated accordingly
Filtered Statistic is not updated accordingly
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Usability (Show other bugs)
3.1
Unspecified Unspecified
urgent Severity urgent
: ---
: 3.2
Assigned To: Alex Eng
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-29 19:22 EDT by Alex Eng
Modified: 2014-02-18 01:48 EST (History)
2 users (show)

See Also:
Fixed In Version: 3.2-SNAPSHOT (20131127-0039).
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-18 01:48:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Eng 2013-10-29 19:22:00 EDT
Description of problem:
Statistic on particular document row are not the same in firefox and chrome.

https://translate.jboss.org/webtrans/translate?project=jboss_as&iteration=eap6&localeId=de&locale=en#filter:jdr

Version-Release number of selected component (if applicable):
 3.0.3


How reproducible:
Always


Steps to Reproduce:
1. Go to https://translate.jboss.org/webtrans/translate?project=jboss_as&iteration=eap6&localeId=de&locale=en
2. Look for document: JdrLogger.i18n


Actual results:
Firefox shows the statistic same as the overall stats on top right corner.
Chrome shows the correct statistic.


Expected results:


Additional info:
Comment 1 Ding-Yi Chen 2013-10-29 22:18:58 EDT
Tested with Zanata version 3.0.3 (20130919-2218)
Browsers tested: Firefox 17.0.9, Firefox 24.0, Chromium 29.0.1547.76, 27.0.1453.93.

They all have similar symptom.

However, I do notice that if document filter is in use, it is more likely to have this symptom.

Steps to reproduce:
1. https://translate.jboss.org/webtrans/translate?project=jboss_as&iteration=eap6&localeId=de&locale=en#filter:jdr
2. Compare the statistics between upper right and first document
3. Open the first document and look at the 

Expected:
  At step 2, the upper right statistics should be greater than first document.
  
  At step 3, the upper right statistics should show the number identical to the first documents.

Actual:
  At step 2,  the upper right statistics was equal to the first document.
  At step 2,  the upper right statistics was equal to overall statistics.
Comment 2 Alex Eng 2013-11-25 18:30:12 EST
Pull request:
https://github.com/zanata/zanata-server/pull/252
Comment 3 Ding-Yi Chen 2013-11-27 00:44:19 EST
VERIFIED with Zanata version 3.2-SNAPSHOT (20131127-0039).

Note You need to log in before you can comment on or make changes to this bug.